Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13309
Description

It would be nice if the user could select a svg file for using as a marker, apart from the default markers provided with Qgis. This gives the
user the chance of use complex graphics (i.e. complex charts made with matplotlib) as marker and even simulate the diagram overlay
feature of qgis but with more good looking bar charts and pie charts.

Nowadays a little hack can be done just adding to Qgis' svg folder the svg files that you want as marker, but unfortunately the name of the
file could not be seen in the preview of the marker, so if you want to use a marker for a determinate point, for instance, if you want to mark
several mines with a bar chart summarizing their coal production individually, you couldn't tell which svg correspond to which mine,

because of the size of the svg preview.

So, my wish focus on a) adding a 'open file' dialog to the marker selection dialog or b) at least showing the name of the file of each svg in
the preview (maybe it could be as simple as just a little popup with the name and path of each marker when the mouse is over it)

Thank you very much for your work

Best regards

Jorge Tornero

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:31 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-01-21 05:21 AM - jtornero -

Well, AFAIK it works already... should it be closed?

Best regards

#5 - 2014-01-22 11:06 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)
- Resolution set to fixed/implemented
